- Home
- Cyrus IMAP
- Download
- Contribute

# Cyrus SASL

# sasl_checkapop - Check an APOP challenge/response

## Synopsis

    #include <sasl/sasl.h>

    int sasl_checkapop(sasl_conn_t *conn,
                     const char *challenge,
                     unsigned challen,
                     const char *response,
                     unsigned resplen)

## Description

int sasl_checkapop(sasl_conn_t *conn,
const char *challenge,
unsigned challen,
const char *response,
unsigned resplen)

  sasl_checkapop will check an APOP challenge/response. APOP is an optional POP3 (RFC 1939) authentication command which uses a shared secret (password). The password is stored in the SASL secrets database. For information on the SASL shared secrets database see the System Administrators Guide.

  If called with a NULL challenge, sasl_checkapop() will check to see if the APOP mechanism is enabled.

## Return value

sasl_checkapop returns an integer which corresponds to one of the following codes. `SASL_OK` indicates that the authentication is complete. All other return codes indicate errors and should either be handled or the authentication session should be quit. See sasl_errors(3) for meanings of return codes.

## Conforming to

RFC 4422, RFC 1939

## See Also

sasl(3), sasl_errors(3)